{% extends 'base.html.twig' %}

{% block title %}Mes adresses- La Boutique Française{% endblock %}

{% block content %}
    <a href="{{ path('account_address_add') }}" class="btn btn-info btn-sm float-right">Ajouter une adresse</a>

    <h1>Mes adresses</h1>
    C'est dans cet espace que vous allez pouvoir gérer toutes vos adresses.<br/>
    <a href="{{ path('account') }}">Retour</a>
    <hr>

    {% if app.user.addresses|length == 0 %}
        <p class="text-center">
            Vous n'avez pas encore ajouté d'adresse dans votre compte client. Pour en ajouter une, veuillez <a
                    href="{{ path('account_address_add') }}">cliquer ici</a>.
        </p>
    {% else %}
        <div class="row">
            {% for address in app.user.addresses %}
                <div class="col-md-4">
                    <div class="card" style="width: 18rem;">
                        <div class="card-body">
                            <h5 class="card-title">{{ address.name }}</h5>
                            <p class="card-text">
                                {{ address.address }},<br/>
                                {{ address.postal }} - {{ address.city }} - {{ address.country }}
                            </p>
                            <a href="{{ path('account_address_edit', { 'id' : address.id }) }}">Modifier</a> | <a href="{{ path('account_address_delete', { 'id' : address.id }) }}">Supprimer</a>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    {% endif %}
{% endblock %}